Create New Quote with Items
curl --request POST \
--url https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteTitle": "My Trip to Sydney",
"tdmsProductId": "PROD123",
"startDate": "15-Jan-2024",
"days": 3,
"selectedAvailableIndices": [
0
],
"productPricesDetails": [
{
"productPricesDetailsId": "123",
"quantity": 2
}
]
}
'import requests
url = "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2"
payload = {
"quoteTitle": "My Trip to Sydney",
"tdmsProductId": "PROD123",
"startDate": "15-Jan-2024",
"days": 3,
"selectedAvailableIndices": [0],
"productPricesDetails": [
{
"productPricesDetailsId": "123",
"quantity": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quoteTitle: 'My Trip to Sydney',
tdmsProductId: 'PROD123',
startDate: '15-Jan-2024',
days: 3,
selectedAvailableIndices: [0],
productPricesDetails: [{productPricesDetailsId: '123', quantity: 2}]
})
};
fetch('https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteTitle' => 'My Trip to Sydney',
'tdmsProductId' => 'PROD123',
'startDate' => '15-Jan-2024',
'days' => 3,
'selectedAvailableIndices' => [
0
],
'productPricesDetails' => [
[
'productPricesDetailsId' => '123',
'quantity' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2"
payload := strings.NewReader("{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{"status": "success", "message": "Quote created", "data": {...}}Cart & Quotes
Create New Quote with Items
Create a new quote and add product items to it.
POST
/
api
/
peterpans
/
quotes
/
new
/
v2
Create New Quote with Items
curl --request POST \
--url https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteTitle": "My Trip to Sydney",
"tdmsProductId": "PROD123",
"startDate": "15-Jan-2024",
"days": 3,
"selectedAvailableIndices": [
0
],
"productPricesDetails": [
{
"productPricesDetailsId": "123",
"quantity": 2
}
]
}
'import requests
url = "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2"
payload = {
"quoteTitle": "My Trip to Sydney",
"tdmsProductId": "PROD123",
"startDate": "15-Jan-2024",
"days": 3,
"selectedAvailableIndices": [0],
"productPricesDetails": [
{
"productPricesDetailsId": "123",
"quantity": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quoteTitle: 'My Trip to Sydney',
tdmsProductId: 'PROD123',
startDate: '15-Jan-2024',
days: 3,
selectedAvailableIndices: [0],
productPricesDetails: [{productPricesDetailsId: '123', quantity: 2}]
})
};
fetch('https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteTitle' => 'My Trip to Sydney',
'tdmsProductId' => 'PROD123',
'startDate' => '15-Jan-2024',
'days' => 3,
'selectedAvailableIndices' => [
0
],
'productPricesDetails' => [
[
'productPricesDetailsId' => '123',
'quantity' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2"
payload := strings.NewReader("{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/peterpans/quotes/new/v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteTitle\": \"My Trip to Sydney\",\n \"tdmsProductId\": \"PROD123\",\n \"startDate\": \"15-Jan-2024\",\n \"days\": 3,\n \"selectedAvailableIndices\": [\n 0\n ],\n \"productPricesDetails\": [\n {\n \"productPricesDetailsId\": \"123\",\n \"quantity\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{"status": "success", "message": "Quote created", "data": {...}}Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token.
Body
application/json
The quote title.
Example:
"My Trip to Sydney"
The TDMS product ID.
Example:
"PROD123"
Start date (d-M-Y format).
Example:
"15-Jan-2024"
Number of days.
Example:
3
Selected availability indices.
Example:
[0]
Price details.
Example:
[
{
"productPricesDetailsId": "123",
"quantity": 2
}
]
Response
200 - text/plain
The response is of type string.
Example:
"{\"status\": \"success\", \"message\": \"Quote created\", \"data\": {...}}"